Index: branches/FitnessLandscapeAnalysis/HeuristicLab.Analysis.FitnessLandscape/Analysis/FitnessCloudAnalyzer.cs
===================================================================
--- branches/FitnessLandscapeAnalysis/HeuristicLab.Analysis.FitnessLandscape/Analysis/FitnessCloudAnalyzer.cs	(revision 7128)
+++ branches/FitnessLandscapeAnalysis/HeuristicLab.Analysis.FitnessLandscape/Analysis/FitnessCloudAnalyzer.cs	(revision 7176)
@@ -32,4 +32,7 @@
   [StorableClass]
   public class FitnessCloudAnalyzer : AlgorithmOperator, IQualityTrailAnalyzer {
+    public bool EnabledByDefault {
+      get { return false; }
+    }
 
     #region Parameters
Index: branches/FitnessLandscapeAnalysis/HeuristicLab.Analysis.FitnessLandscape/Analysis/InformationAnalyzer.cs
===================================================================
--- branches/FitnessLandscapeAnalysis/HeuristicLab.Analysis.FitnessLandscape/Analysis/InformationAnalyzer.cs	(revision 7128)
+++ branches/FitnessLandscapeAnalysis/HeuristicLab.Analysis.FitnessLandscape/Analysis/InformationAnalyzer.cs	(revision 7176)
@@ -33,4 +33,7 @@
   [StorableClass]
   public class InformationAnalyzer : AlgorithmOperator, IQualityTrailAnalyzer {
+    public bool EnabledByDefault {
+      get { return false; }
+    }
 
     #region Parameters
Index: branches/FitnessLandscapeAnalysis/HeuristicLab.Analysis.FitnessLandscape/Analysis/NeutralityAnalyzer.cs
===================================================================
--- branches/FitnessLandscapeAnalysis/HeuristicLab.Analysis.FitnessLandscape/Analysis/NeutralityAnalyzer.cs	(revision 7128)
+++ branches/FitnessLandscapeAnalysis/HeuristicLab.Analysis.FitnessLandscape/Analysis/NeutralityAnalyzer.cs	(revision 7176)
@@ -37,4 +37,7 @@
   [StorableClass]
   public class NeutralityAnalyzer : AlgorithmOperator, IAnalyzer {
+    public bool EnabledByDefault {
+      get { return false; }
+    }
 
     #region Parameters
Index: branches/FitnessLandscapeAnalysis/HeuristicLab.Analysis.FitnessLandscape/Analysis/QualityTrailMultiAnalyzer.cs
===================================================================
--- branches/FitnessLandscapeAnalysis/HeuristicLab.Analysis.FitnessLandscape/Analysis/QualityTrailMultiAnalyzer.cs	(revision 7128)
+++ branches/FitnessLandscapeAnalysis/HeuristicLab.Analysis.FitnessLandscape/Analysis/QualityTrailMultiAnalyzer.cs	(revision 7176)
@@ -36,4 +36,7 @@
   [StorableClass]
   public class QualityTrailMultiAnalyzer : CheckedMultiOperator<IQualityTrailAnalyzer>, IAnalyzer {
+    public bool EnabledByDefault {
+      get { return false; }
+    }
 
     public override bool CanChangeName {
Index: branches/FitnessLandscapeAnalysis/HeuristicLab.Analysis.FitnessLandscape/Analysis/QualityTrailSummarizer.cs
===================================================================
--- branches/FitnessLandscapeAnalysis/HeuristicLab.Analysis.FitnessLandscape/Analysis/QualityTrailSummarizer.cs	(revision 7128)
+++ branches/FitnessLandscapeAnalysis/HeuristicLab.Analysis.FitnessLandscape/Analysis/QualityTrailSummarizer.cs	(revision 7176)
@@ -35,4 +35,7 @@
   [StorableClass]
   public class QualityTrailSummarizer : AlgorithmOperator, IQualityTrailAnalyzer {
+    public bool EnabledByDefault {
+      get { return false; }
+    }
 
     #region Parameters
Index: branches/FitnessLandscapeAnalysis/HeuristicLab.Analysis.FitnessLandscape/Analysis/RuggednessAnalyzer.cs
===================================================================
--- branches/FitnessLandscapeAnalysis/HeuristicLab.Analysis.FitnessLandscape/Analysis/RuggednessAnalyzer.cs	(revision 7128)
+++ branches/FitnessLandscapeAnalysis/HeuristicLab.Analysis.FitnessLandscape/Analysis/RuggednessAnalyzer.cs	(revision 7176)
@@ -34,4 +34,7 @@
   [StorableClass]
   public class RuggednessAnalyzer : AlgorithmOperator, IQualityTrailAnalyzer {
+    public bool EnabledByDefault {
+      get { return false; }
+    }
 
     #region Parameters
Index: branches/FitnessLandscapeAnalysis/HeuristicLab.Analysis.FitnessLandscape/Analysis/UpDownWalkAnalyzer.cs
===================================================================
--- branches/FitnessLandscapeAnalysis/HeuristicLab.Analysis.FitnessLandscape/Analysis/UpDownWalkAnalyzer.cs	(revision 7128)
+++ branches/FitnessLandscapeAnalysis/HeuristicLab.Analysis.FitnessLandscape/Analysis/UpDownWalkAnalyzer.cs	(revision 7176)
@@ -36,4 +36,7 @@
   [StorableClass]
   public class UpDownWalkAnalyzer : AlgorithmOperator, IQualityTrailAnalyzer {
+    public bool EnabledByDefault {
+      get { return false; }
+    }
 
     #region Parameters