Index: /trunk/sources/HeuristicLab.Clients.Hive.Views/3.3/GanttChart/GanttChart.Designer.cs
===================================================================
--- /trunk/sources/HeuristicLab.Clients.Hive.Views/3.3/GanttChart/GanttChart.Designer.cs	(revision 7190)
+++ /trunk/sources/HeuristicLab.Clients.Hive.Views/3.3/GanttChart/GanttChart.Designer.cs	(revision 7191)
@@ -69,5 +69,7 @@
     #endregion
 
-    private Visualization.ChartControlsExtensions.EnhancedChart chart;
+    public Visualization.ChartControlsExtensions.EnhancedChart chart;
+
+
   }
 }
Index: /trunk/sources/HeuristicLab.Clients.Hive.Views/3.3/HiveTasks/HiveTaskView.designer.cs
===================================================================
--- /trunk/sources/HeuristicLab.Clients.Hive.Views/3.3/HiveTasks/HiveTaskView.designer.cs	(revision 7190)
+++ /trunk/sources/HeuristicLab.Clients.Hive.Views/3.3/HiveTasks/HiveTaskView.designer.cs	(revision 7191)
@@ -83,5 +83,5 @@
       this.stateLogTabPage.Size = new System.Drawing.Size(563, 375);
       this.stateLogTabPage.TabIndex = 5;
-      this.stateLogTabPage.Text = "State";
+      this.stateLogTabPage.Text = "Execution History";
       this.stateLogTabPage.UseVisualStyleBackColor = true;
       // 
@@ -301,7 +301,7 @@
       this.computeInParallelLabel.Location = new System.Drawing.Point(6, 67);
       this.computeInParallelLabel.Name = "computeInParallelLabel";
-      this.computeInParallelLabel.Size = new System.Drawing.Size(122, 13);
+      this.computeInParallelLabel.Size = new System.Drawing.Size(107, 13);
       this.computeInParallelLabel.TabIndex = 36;
-      this.computeInParallelLabel.Text = "Compute task in parallel:";
+      this.computeInParallelLabel.Text = "Distribute child tasks:";
       // 
       // computeInParallelCheckBox
Index: /trunk/sources/HeuristicLab.Clients.Hive.Views/3.3/StateLog/StateLogGanttChartListView.cs
===================================================================
--- /trunk/sources/HeuristicLab.Clients.Hive.Views/3.3/StateLog/StateLogGanttChartListView.cs	(revision 7190)
+++ /trunk/sources/HeuristicLab.Clients.Hive.Views/3.3/StateLog/StateLogGanttChartListView.cs	(revision 7191)
@@ -56,12 +56,11 @@
       base.OnContentChanged();
       if (Content == null) {
-        // Add code when content has been changed and is null
         ganttChart.Reset();
       } else {
-        // Add code when content has been changed and is not null
         ganttChart.Reset();
         SetupCategories(ganttChart);
         if (Content.Count > 0) {
           DateTime maxValue = Content.Max(x => x.Count > 0 ? x.Max(y => y.DateTime) : DateTime.MinValue);
+          DateTime minValue = Content.Min(x => x.Count > 0 ? x.Min(y => y.DateTime) : DateTime.MinValue);
           DateTime upperLimit;
           if (Content.All(x => x.Count > 0 ? (x.Last().State == TaskState.Finished || x.Last().State == TaskState.Failed || x.Last().State == TaskState.Aborted) : true)) {
@@ -69,4 +68,10 @@
           } else {
             upperLimit = DateTime.Now;
+          }
+
+          if ((upperLimit - minValue) > TimeSpan.FromDays(1)) {
+            this.ganttChart.chart.Series[0].YValueType = System.Windows.Forms.DataVisualization.Charting.ChartValueType.Date;
+          } else {
+            this.ganttChart.chart.Series[0].YValueType = System.Windows.Forms.DataVisualization.Charting.ChartValueType.Time;
           }
 
@@ -98,5 +103,5 @@
       DateTime until = to != null ? to.DateTime : upperLimit;
       TimeSpan duration = until - from.DateTime;
-      string tooltip = string.Format("State: {0} " + Environment.NewLine + " Duration: {1} " + Environment.NewLine + " {2} - {3}", from.State, duration, from.DateTime, until);
+      string tooltip = string.Format("Task: {0} " + Environment.NewLine + "Task Id: {1}" + Environment.NewLine + "State: {2} " + Environment.NewLine + "Duration: {3} " + Environment.NewLine + "{4} - {5}", from.TaskName, from.TaskId, from.State, duration, from.DateTime, until);
       if (!string.IsNullOrEmpty(from.Exception))
         tooltip += Environment.NewLine + from.Exception;
Index: /trunk/sources/HeuristicLab.Clients.Hive/3.3/HiveJobs/HiveTask.cs
===================================================================
--- /trunk/sources/HeuristicLab.Clients.Hive/3.3/HiveJobs/HiveTask.cs	(revision 7190)
+++ /trunk/sources/HeuristicLab.Clients.Hive/3.3/HiveJobs/HiveTask.cs	(revision 7191)
@@ -143,5 +143,9 @@
 
     public StateLogList StateLog {
-      get { return new StateLogList(this.task.StateLog); }
+      get {
+        var list = new StateLogList(this.task.StateLog);
+        list.ForEach(s => { s.TaskName = itemTask.Name; });
+        return list;
+      }
     }
 
Index: /trunk/sources/HeuristicLab.Clients.Hive/3.3/ServiceClients/StateLog.cs
===================================================================
--- /trunk/sources/HeuristicLab.Clients.Hive/3.3/ServiceClients/StateLog.cs	(revision 7190)
+++ /trunk/sources/HeuristicLab.Clients.Hive/3.3/ServiceClients/StateLog.cs	(revision 7191)
@@ -38,4 +38,6 @@
     }
 
+    public string TaskName { get; set; }
+
     public override IDeepCloneable Clone(Cloner cloner) {
       return new StateLog(this, cloner);