Index: /trunk/sources/HeuristicLab.Operators.Views.GraphVisualization.Views/3.3/OperatorShape.cs
===================================================================
--- /trunk/sources/HeuristicLab.Operators.Views.GraphVisualization.Views/3.3/OperatorShape.cs	(revision 7198)
+++ /trunk/sources/HeuristicLab.Operators.Views.GraphVisualization.Views/3.3/OperatorShape.cs	(revision 7199)
@@ -78,4 +78,6 @@
       set { title = value; }
     }
+
+    public string TypeName { get; set; }
 
     private IconMaterial iconMaterial;
@@ -219,6 +221,11 @@
 
       SizeF titleSize = g.MeasureString(this.Title, ArtPalette.DefaultBoldFont, Rectangle.Width - 45);
-      if (titleSize.Height + 10 > Rectangle.Height) {
-        headerHeight = (int)titleSize.Height + 10;
+      titleSize.Height += 10; //add spacing
+      SizeF typeNameSize = g.MeasureString(this.TypeName, ArtPalette.DefaultFont, Rectangle.Width - 45);
+      typeNameSize.Height += 10;  //add spacing
+      if (this.Title == this.TypeName) typeNameSize = new SizeF(0, 0);
+
+      if (titleSize.Height + typeNameSize.Height > Rectangle.Height) {
+        headerHeight = (int)titleSize.Height + (int)typeNameSize.Height;
         this.UpdateLabels();
       }
@@ -264,5 +271,14 @@
 
       //the title
-      g.DrawString(this.Title, ArtPalette.DefaultBoldFont, Brushes.Black, new Rectangle(Rectangle.X + 25, Rectangle.Y + 5, Rectangle.Width - 45, Rectangle.Height - 5));
+      g.DrawString(this.Title, ArtPalette.DefaultBoldFont, Brushes.Black,
+        new Rectangle(Rectangle.X + 25, Rectangle.Y + 5,
+                      Rectangle.Width - 45, Rectangle.Height - 5 - (int)typeNameSize.Height));
+
+      //the typeName
+      if (this.Title != this.TypeName) {
+        g.DrawString(this.TypeName, ArtPalette.DefaultFont, Brushes.Black,
+          new Rectangle(Rectangle.X + 25, Rectangle.Y + (int)titleSize.Height,
+                        Rectangle.Width - 45, Rectangle.Height - 5));
+      }
 
 
Index: /trunk/sources/HeuristicLab.Operators.Views.GraphVisualization.Views/3.3/ShapeInfoExtensions.cs
===================================================================
--- /trunk/sources/HeuristicLab.Operators.Views.GraphVisualization.Views/3.3/ShapeInfoExtensions.cs	(revision 7198)
+++ /trunk/sources/HeuristicLab.Operators.Views.GraphVisualization.Views/3.3/ShapeInfoExtensions.cs	(revision 7199)
@@ -50,4 +50,5 @@
       shape.Location = shapeInfo.Location;
       shape.Title = shapeInfo.Title;
+      shape.TypeName = shapeInfo.TypeName;
       shape.Color = shapeInfo.Color;
       shape.LineColor = shapeInfo.LineColor;
@@ -65,4 +66,5 @@
     public static void UpdateShape(IOperatorShapeInfo operatorShapeInfo, OperatorShape operatorShape) {
       operatorShape.Title = operatorShapeInfo.Title;
+      operatorShape.TypeName = operatorShapeInfo.TypeName;
       operatorShape.Color = operatorShapeInfo.Color;
       operatorShape.LineColor = operatorShapeInfo.LineColor;
@@ -105,4 +107,5 @@
     public static void UpdateShapeInfo(IOperatorShapeInfo operatorShapeInfo, OperatorShape operatorShape) {
       operatorShapeInfo.Title = operatorShape.Title;
+      operatorShapeInfo.TypeName = operatorShape.TypeName;
       operatorShapeInfo.Color = operatorShape.Color;
       operatorShapeInfo.LineColor = operatorShape.LineColor;
Index: /trunk/sources/HeuristicLab.Operators.Views.GraphVisualization/3.3/OperatorGraphVisualization/IOperatorShapeInfo.cs
===================================================================
--- /trunk/sources/HeuristicLab.Operators.Views.GraphVisualization/3.3/OperatorGraphVisualization/IOperatorShapeInfo.cs	(revision 7198)
+++ /trunk/sources/HeuristicLab.Operators.Views.GraphVisualization/3.3/OperatorGraphVisualization/IOperatorShapeInfo.cs	(revision 7199)
@@ -27,4 +27,5 @@
     bool Collapsed { get; set; }
     string Title { get; set; }
+    string TypeName { get; set; }
     Color Color { get; set; }
     Color LineColor { get; set; }
Index: /trunk/sources/HeuristicLab.Operators.Views.GraphVisualization/3.3/OperatorGraphVisualization/OperatorShapeInfo.cs
===================================================================
--- /trunk/sources/HeuristicLab.Operators.Views.GraphVisualization/3.3/OperatorGraphVisualization/OperatorShapeInfo.cs	(revision 7198)
+++ /trunk/sources/HeuristicLab.Operators.Views.GraphVisualization/3.3/OperatorGraphVisualization/OperatorShapeInfo.cs	(revision 7199)
@@ -38,4 +38,9 @@
     [StorableConstructor]
     protected OperatorShapeInfo(bool deserializing) : base(deserializing) { }
+    [StorableHook(HookType.AfterDeserialization)]
+    private void AfterDeserialization() {
+      if (string.IsNullOrEmpty(this.typeName))
+        typeName = title;
+    }
     protected OperatorShapeInfo(OperatorShapeInfo original, Cloner cloner)
       : base(original, cloner) {
@@ -45,4 +50,5 @@
       lineWidth = original.lineWidth;
       title = original.title;
+      typeName = original.typeName;
 
       //mkommend: necessary because cloning a Bitmap is not threadsafe
@@ -129,4 +135,16 @@
 
     [Storable]
+    private string typeName;
+    public string TypeName {
+      get { return this.typeName; }
+      set {
+        if (this.typeName != value) {
+          this.typeName = value;
+          this.OnChanged();
+        }
+      }
+    }
+
+    [Storable]
     private Color color;
     public Color Color {
Index: /trunk/sources/HeuristicLab.Operators.Views.GraphVisualization/3.3/OperatorGraphVisualization/OperatorShapeInfoFactory.cs
===================================================================
--- /trunk/sources/HeuristicLab.Operators.Views.GraphVisualization/3.3/OperatorGraphVisualization/OperatorShapeInfoFactory.cs	(revision 7198)
+++ /trunk/sources/HeuristicLab.Operators.Views.GraphVisualization/3.3/OperatorGraphVisualization/OperatorShapeInfoFactory.cs	(revision 7199)
@@ -23,4 +23,5 @@
 using System.Drawing;
 using System.Linq;
+using HeuristicLab.Common;
 using HeuristicLab.Core;
 
@@ -37,4 +38,5 @@
       operatorShapeInfo.Collapsed = true;
       operatorShapeInfo.Title = op.Name;
+      operatorShapeInfo.TypeName = op.GetType().GetPrettyName();
       operatorShapeInfo.Color = Color.LightBlue;
       operatorShapeInfo.LineWidth = 1;