Index: trunk/sources/HeuristicLab.Clients.Hive/3.3/HiveJobs/HiveTask.cs
===================================================================
--- trunk/sources/HeuristicLab.Clients.Hive/3.3/HiveJobs/HiveTask.cs	(revision 7192)
+++ trunk/sources/HeuristicLab.Clients.Hive/3.3/HiveJobs/HiveTask.cs	(revision 7201)
@@ -40,4 +40,7 @@
     protected ReaderWriterLockSlim childHiveTasksLock = new ReaderWriterLockSlim(LockRecursionPolicy.SupportsRecursion);
 
+    public static new Image StaticItemImage {
+      get { return HeuristicLab.Common.Resources.VSImageLibrary.Event; }
+    }
     public override Image ItemImage {
       get {
@@ -52,5 +55,5 @@
           else if (task.State == TaskState.Failed) return HeuristicLab.Common.Resources.VSImageLibrary.Error;
           else if (task.State == TaskState.Finished) return HeuristicLab.Common.Resources.VSImageLibrary.ExecutableStopped;
-          else return HeuristicLab.Common.Resources.VSImageLibrary.Event;
+          else return base.ItemImage;
         }
       }
@@ -120,5 +123,6 @@
               hiveJob.IsControllable = value;
             }
-          } finally {
+          }
+          finally {
             childHiveTasksLock.ExitReadLock();
           }
@@ -134,5 +138,6 @@
         try {
           return childHiveTasks.AsReadOnly();
-        } finally { childHiveTasksLock.ExitReadLock(); }
+        }
+        finally { childHiveTasksLock.ExitReadLock(); }
       }
     }
@@ -193,5 +198,6 @@
       try {
         this.childHiveTasks = cloner.Clone(original.childHiveTasks);
-      } finally { original.childHiveTasksLock.ExitReadLock(); }
+      }
+      finally { original.childHiveTasksLock.ExitReadLock(); }
       this.syncTasksWithOptimizers = original.syncTasksWithOptimizers;
       this.isFinishedTaskDownloaded = original.isFinishedTaskDownloaded;
@@ -242,5 +248,6 @@
       try {
         this.childHiveTasks.Add(hiveTask);
-      } finally { childHiveTasksLock.ExitWriteLock(); }
+      }
+      finally { childHiveTasksLock.ExitWriteLock(); }
     }
 
@@ -359,5 +366,6 @@
         }
         return jobs;
-      } finally { childHiveTasksLock.ExitReadLock(); }
+      }
+      finally { childHiveTasksLock.ExitReadLock(); }
     }
 
@@ -373,5 +381,6 @@
         }
         return null;
-      } finally { childHiveTasksLock.ExitWriteLock(); }
+      }
+      finally { childHiveTasksLock.ExitWriteLock(); }
     }
 
@@ -390,5 +399,6 @@
               return result;
           }
-        } finally { childHiveTasksLock.ExitReadLock(); }
+        }
+        finally { childHiveTasksLock.ExitReadLock(); }
       }
       return null;
@@ -405,5 +415,6 @@
           child.RemoveByTaskId(jobId);
         }
-      } finally { childHiveTasksLock.ExitWriteLock(); }
+      }
+      finally { childHiveTasksLock.ExitWriteLock(); }
     }
 
@@ -458,5 +469,6 @@
             HiveServiceLocator.Instance.CallHiveService(s => s.PauseTask(child.task.Id));
           }
-        } finally { childHiveTasksLock.ExitReadLock(); }
+        }
+        finally { childHiveTasksLock.ExitReadLock(); }
       } else {
         HiveServiceLocator.Instance.CallHiveService(s => s.PauseTask(this.task.Id));
@@ -471,5 +483,6 @@
             HiveServiceLocator.Instance.CallHiveService(s => s.StopTask(child.task.Id));
           }
-        } finally { childHiveTasksLock.ExitReadLock(); }
+        }
+        finally { childHiveTasksLock.ExitReadLock(); }
       } else {
         HiveServiceLocator.Instance.CallHiveService(s => s.StopTask(this.task.Id));
Index: trunk/sources/HeuristicLab.Clients.Hive/3.3/ServiceClients/HiveItem.cs
===================================================================
--- trunk/sources/HeuristicLab.Clients.Hive/3.3/ServiceClients/HiveItem.cs	(revision 7192)
+++ trunk/sources/HeuristicLab.Clients.Hive/3.3/ServiceClients/HiveItem.cs	(revision 7201)
@@ -38,4 +38,7 @@
       get { return ItemAttribute.GetVersion(this.GetType()); }
     }
+    public static new Image StaticItemImage {
+      get { return HeuristicLab.Common.Resources.VSImageLibrary.Database; }
+    }
     public virtual Image ItemImage {
       get {
@@ -43,5 +46,5 @@
           return HeuristicLab.Common.Resources.VSImageLibrary.DatabaseModified;
         else
-          return HeuristicLab.Common.Resources.VSImageLibrary.Database;
+          return ItemAttribute.GetImage(this.GetType());
       }
     }
Index: trunk/sources/HeuristicLab.Clients.Hive/3.3/Tasks/EngineTask.cs
===================================================================
--- trunk/sources/HeuristicLab.Clients.Hive/3.3/Tasks/EngineTask.cs	(revision 7192)
+++ trunk/sources/HeuristicLab.Clients.Hive/3.3/Tasks/EngineTask.cs	(revision 7201)
@@ -152,5 +152,5 @@
     }
 
-    public override Image ItemImage {
+    public static new Image StaticItemImage {
       get { return HeuristicLab.Common.Resources.VSImageLibrary.Operator; }
     }