Index: branches/FitnessLandscapeAnalysis/HeuristicLab.Analysis.FitnessLandscape/Analysis/Aggregators/Aggregator.cs
===================================================================
--- branches/FitnessLandscapeAnalysis/HeuristicLab.Analysis.FitnessLandscape/Analysis/Aggregators/Aggregator.cs	(revision 7181)
+++ branches/FitnessLandscapeAnalysis/HeuristicLab.Analysis.FitnessLandscape/Analysis/Aggregators/Aggregator.cs	(revision 7202)
@@ -14,5 +14,5 @@
   public abstract class Aggregator<T> : NamedItem, IAggregator where T : class, IItem {
 
-    public override Image ItemImage { get { return VSImageLibrary.Database; } }
+    public static new Image StaticItemImage { get { return VSImageLibrary.Database;  } }
     public override bool CanChangeName { get { return false; } }
 
Index: branches/FitnessLandscapeAnalysis/HeuristicLab.Analysis.FitnessLandscape/Analysis/Aggregators/EvolvabilityAggregator.cs
===================================================================
--- branches/FitnessLandscapeAnalysis/HeuristicLab.Analysis.FitnessLandscape/Analysis/Aggregators/EvolvabilityAggregator.cs	(revision 7181)
+++ branches/FitnessLandscapeAnalysis/HeuristicLab.Analysis.FitnessLandscape/Analysis/Aggregators/EvolvabilityAggregator.cs	(revision 7202)
@@ -34,5 +34,5 @@
 
     #region Properties
-    public override Image ItemImage { get { return VSImageLibrary.Database; } }
+    public static new Image StaticItemImage { get { return VSImageLibrary.Database; } }
     public override bool CanChangeName { get { return false; } }
     #endregion
Index: branches/FitnessLandscapeAnalysis/HeuristicLab.Analysis.FitnessLandscape/Analysis/Aggregators/InformationAnalysisValueAggregator.cs
===================================================================
--- branches/FitnessLandscapeAnalysis/HeuristicLab.Analysis.FitnessLandscape/Analysis/Aggregators/InformationAnalysisValueAggregator.cs	(revision 7181)
+++ branches/FitnessLandscapeAnalysis/HeuristicLab.Analysis.FitnessLandscape/Analysis/Aggregators/InformationAnalysisValueAggregator.cs	(revision 7202)
@@ -29,5 +29,5 @@
 
     #region Properties
-    public override Image ItemImage { get { return VSImageLibrary.Database; } }
+    public static new Image StaticItemImage { get { return VSImageLibrary.Database; } }
     public override bool CanChangeName { get { return false; } }
     #endregion
Index: branches/FitnessLandscapeAnalysis/HeuristicLab.Analysis.FitnessLandscape/Analysis/Aggregators/RuggednessAggregator.cs
===================================================================
--- branches/FitnessLandscapeAnalysis/HeuristicLab.Analysis.FitnessLandscape/Analysis/Aggregators/RuggednessAggregator.cs	(revision 7181)
+++ branches/FitnessLandscapeAnalysis/HeuristicLab.Analysis.FitnessLandscape/Analysis/Aggregators/RuggednessAggregator.cs	(revision 7202)
@@ -19,5 +19,5 @@
   public class RuggednessAggregator : NamedItem, IAggregator {
 
-    public override Image ItemImage { get { return VSImageLibrary.Database; } }
+    public static new Image StaticItemImage { get { return VSImageLibrary.Database; } }
     public override bool CanChangeName { get { return false; } }
 
Index: branches/FitnessLandscapeAnalysis/HeuristicLab.Analysis.FitnessLandscape/BoxChart/ColorValue.cs
===================================================================
--- branches/FitnessLandscapeAnalysis/HeuristicLab.Analysis.FitnessLandscape/BoxChart/ColorValue.cs	(revision 7181)
+++ branches/FitnessLandscapeAnalysis/HeuristicLab.Analysis.FitnessLandscape/BoxChart/ColorValue.cs	(revision 7202)
@@ -8,4 +8,5 @@
 using HeuristicLab.Data;
 using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
+using HeuristicLab.Common.Resources;
 
 namespace HeuristicLab.Analysis.FitnessLandscape.BoxChart {
@@ -45,4 +46,5 @@
     public override bool CanChangeName { get { return false; } }
     public override bool CanChangeDescription { get { return false; } }
+    public static new Image StaticItemImage { get { return VSImageLibrary.DisplayInColorVertical; } }
     public override Image ItemImage {
       get {
Index: branches/FitnessLandscapeAnalysis/HeuristicLab.Analysis.FitnessLandscape/DistanceCalculators/BinaryVectorDistanceCalculator.cs
===================================================================
--- branches/FitnessLandscapeAnalysis/HeuristicLab.Analysis.FitnessLandscape/DistanceCalculators/BinaryVectorDistanceCalculator.cs	(revision 7181)
+++ branches/FitnessLandscapeAnalysis/HeuristicLab.Analysis.FitnessLandscape/DistanceCalculators/BinaryVectorDistanceCalculator.cs	(revision 7202)
@@ -8,4 +8,5 @@
 using HeuristicLab.Common;
 using HeuristicLab.Encodings.BinaryVectorEncoding;
+using System.Drawing;
 
 namespace HeuristicLab.Analysis.FitnessLandscape.DistanceCalculators {
@@ -19,5 +20,5 @@
     public override bool CanChangeName { get { return false; } }
     public override bool CanChangeDescription { get { return false; } }
-    public override System.Drawing.Image ItemImage { get { return VSImageLibrary.Function; } }
+    public static new Image StaticItemImage { get { return VSImageLibrary.Function; } }
 
     #endregion
Index: branches/FitnessLandscapeAnalysis/HeuristicLab.Analysis.FitnessLandscape/DistanceCalculators/PermutationDistanceCalculator.cs
===================================================================
--- branches/FitnessLandscapeAnalysis/HeuristicLab.Analysis.FitnessLandscape/DistanceCalculators/PermutationDistanceCalculator.cs	(revision 7181)
+++ branches/FitnessLandscapeAnalysis/HeuristicLab.Analysis.FitnessLandscape/DistanceCalculators/PermutationDistanceCalculator.cs	(revision 7202)
@@ -21,5 +21,5 @@
     public override bool CanChangeName { get { return false; } }
     public override bool CanChangeDescription { get { return false; } }
-    public override System.Drawing.Image ItemImage { get { return VSImageLibrary.Function; } }
+    public static new Image StaticItemImage { get { return VSImageLibrary.Function; } }
 
     #endregion
Index: branches/FitnessLandscapeAnalysis/HeuristicLab.Analysis.FitnessLandscape/FDC/HeatMap.cs
===================================================================
--- branches/FitnessLandscapeAnalysis/HeuristicLab.Analysis.FitnessLandscape/FDC/HeatMap.cs	(revision 7181)
+++ branches/FitnessLandscapeAnalysis/HeuristicLab.Analysis.FitnessLandscape/FDC/HeatMap.cs	(revision 7202)
@@ -26,4 +26,5 @@
 using HeuristicLab.Core;
 using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
+using HeuristicLab.Common.Resources;
 
 namespace HeuristicLab.Analysis.FitnessLandscape {
@@ -33,7 +34,5 @@
   public class HeatMap : NamedItem {
 
-    public override Image ItemImage {
-      get { return HeuristicLab.Common.Resources.VSImageLibrary.Image; }
-    }
+    public static new Image StaticItemImage { get { return VSImageLibrary.Image; } }
 
     #region Persistence
Index: branches/FitnessLandscapeAnalysis/HeuristicLab.Analysis.FitnessLandscape/FDC/ScatterPlot.cs
===================================================================
--- branches/FitnessLandscapeAnalysis/HeuristicLab.Analysis.FitnessLandscape/FDC/ScatterPlot.cs	(revision 7181)
+++ branches/FitnessLandscapeAnalysis/HeuristicLab.Analysis.FitnessLandscape/FDC/ScatterPlot.cs	(revision 7202)
@@ -27,4 +27,5 @@
 using HeuristicLab.Core;
 using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
+using HeuristicLab.Common.Resources;
 
 namespace HeuristicLab.Analysis.FitnessLandscape {
@@ -42,7 +43,5 @@
   public class ScatterPlot : NamedItem {
 
-    public override Image ItemImage {
-      get { return HeuristicLab.Common.Resources.VSImageLibrary.Image; }
-    }
+    public static new Image StaticItemImage { get { return VSImageLibrary.Image; } }
 
     public event EventHandler<PointsEventArgs> PixelsChanged;
Index: branches/FitnessLandscapeAnalysis/HeuristicLab.Analysis.FitnessLandscape/MultiTrajectory/MultiTrajectoryAnalysis.cs
===================================================================
--- branches/FitnessLandscapeAnalysis/HeuristicLab.Analysis.FitnessLandscape/MultiTrajectory/MultiTrajectoryAnalysis.cs	(revision 7181)
+++ branches/FitnessLandscapeAnalysis/HeuristicLab.Analysis.FitnessLandscape/MultiTrajectory/MultiTrajectoryAnalysis.cs	(revision 7202)
@@ -12,4 +12,6 @@
 using HeuristicLab.Encodings.RealVectorEncoding;
 using HeuristicLab.Encodings.PermutationEncoding;
+using HeuristicLab.Common.Resources;
+using System.Drawing;
 
 namespace HeuristicLab.Analysis.FitnessLandscape.MultiTrajectory {
@@ -132,11 +134,15 @@
     #region Fields & Properties
 
-    public override System.Drawing.Image ItemImage {
+    public new static Image StaticItemImage { get { return VSImageLibrary.Event; } }
+
+    public override Image ItemImage {
       get {
-        if (ExecutionState == ExecutionState.Prepared) return HeuristicLab.Common.Resources.VSImageLibrary.ExecutablePrepared;
-        else if (ExecutionState == ExecutionState.Started) return HeuristicLab.Common.Resources.VSImageLibrary.ExecutableStarted;
-        else if (ExecutionState == ExecutionState.Paused) return HeuristicLab.Common.Resources.VSImageLibrary.ExecutablePaused;
-        else if (ExecutionState == ExecutionState.Stopped) return HeuristicLab.Common.Resources.VSImageLibrary.ExecutableStopped;
-        else return HeuristicLab.Common.Resources.VSImageLibrary.Event;
+        switch (ExecutionState) {
+          case ExecutionState.Prepared: return VSImageLibrary.ExecutablePrepared;
+          case ExecutionState.Started: return VSImageLibrary.ExecutableStarted;
+          case ExecutionState.Paused: return VSImageLibrary.ExecutablePaused;
+          case ExecutionState.Stopped: return VSImageLibrary.ExecutableStopped;
+          default: return base.ItemImage;
+        }
       }
     }