Index: branches/HeuristicLab.TimeSeries/HeuristicLab.Analysis/3.3/AlleleFrequencyAnalysis/AlleleFrequencyAnalyzer.cs
===================================================================
--- branches/HeuristicLab.TimeSeries/HeuristicLab.Analysis/3.3/AlleleFrequencyAnalysis/AlleleFrequencyAnalyzer.cs	(revision 7098)
+++ branches/HeuristicLab.TimeSeries/HeuristicLab.Analysis/3.3/AlleleFrequencyAnalysis/AlleleFrequencyAnalyzer.cs	(revision 7213)
@@ -37,4 +37,8 @@
   [StorableClass]
   public abstract class AlleleFrequencyAnalyzer<T> : SingleSuccessorOperator, IAnalyzer where T : class, IItem {
+    public virtual bool EnabledByDefault {
+      get { return false; }
+    }
+
     public LookupParameter<BoolValue> MaximizationParameter {
       get { return (LookupParameter<BoolValue>)Parameters["Maximization"]; }
Index: branches/HeuristicLab.TimeSeries/HeuristicLab.Analysis/3.3/AlleleFrequencyAnalysis/AlleleFrequencyCollection.cs
===================================================================
--- branches/HeuristicLab.TimeSeries/HeuristicLab.Analysis/3.3/AlleleFrequencyAnalysis/AlleleFrequencyCollection.cs	(revision 7098)
+++ branches/HeuristicLab.TimeSeries/HeuristicLab.Analysis/3.3/AlleleFrequencyAnalysis/AlleleFrequencyCollection.cs	(revision 7213)
@@ -33,5 +33,5 @@
   [StorableClass]
   public class AlleleFrequencyCollection : ReadOnlyItemCollection<AlleleFrequency> {
-    public override Image ItemImage {
+    public static new Image StaticItemImage {
       get { return HeuristicLab.Common.Resources.VSImageLibrary.Statistics; }
     }
Index: branches/HeuristicLab.TimeSeries/HeuristicLab.Analysis/3.3/AlleleFrequencyAnalysis/AlleleFrequencyCollectionHistory.cs
===================================================================
--- branches/HeuristicLab.TimeSeries/HeuristicLab.Analysis/3.3/AlleleFrequencyAnalysis/AlleleFrequencyCollectionHistory.cs	(revision 7098)
+++ branches/HeuristicLab.TimeSeries/HeuristicLab.Analysis/3.3/AlleleFrequencyAnalysis/AlleleFrequencyCollectionHistory.cs	(revision 7213)
@@ -33,5 +33,5 @@
   [StorableClass]
   public class AlleleFrequencyCollectionHistory : ItemCollection<AlleleFrequencyCollection> {
-    public override Image ItemImage {
+    public static new Image StaticItemImage {
       get { return HeuristicLab.Common.Resources.VSImageLibrary.Cab; }
     }
Index: branches/HeuristicLab.TimeSeries/HeuristicLab.Analysis/3.3/BestScopeSolutionAnalyzer.cs
===================================================================
--- branches/HeuristicLab.TimeSeries/HeuristicLab.Analysis/3.3/BestScopeSolutionAnalyzer.cs	(revision 7098)
+++ branches/HeuristicLab.TimeSeries/HeuristicLab.Analysis/3.3/BestScopeSolutionAnalyzer.cs	(revision 7213)
@@ -37,4 +37,8 @@
   [StorableClass]
   public class BestScopeSolutionAnalyzer : SingleSuccessorOperator, IAnalyzer {
+    public virtual bool EnabledByDefault {
+      get { return true; }
+    }
+
     public LookupParameter<BoolValue> MaximizationParameter {
       get { return (LookupParameter<BoolValue>)Parameters["Maximization"]; }
@@ -84,5 +88,5 @@
         i = qualities.Select((x, index) => new { index, x.Value }).OrderBy(x => x.Value).First().index;
       else i = qualities.Select((x, index) => new { index, x.Value }).OrderByDescending(x => x.Value).First().index;
-      
+
       IEnumerable<IScope> scopes = new IScope[] { ExecutionContext.Scope };
       for (int j = 0; j < QualityParameter.Depth; j++)
Index: branches/HeuristicLab.TimeSeries/HeuristicLab.Analysis/3.3/DataVisualization/DataRowVisualProperties.cs
===================================================================
--- branches/HeuristicLab.TimeSeries/HeuristicLab.Analysis/3.3/DataVisualization/DataRowVisualProperties.cs	(revision 7098)
+++ branches/HeuristicLab.TimeSeries/HeuristicLab.Analysis/3.3/DataVisualization/DataRowVisualProperties.cs	(revision 7213)
@@ -152,4 +152,14 @@
       }
     }
+    private bool isVisibleInLegend;
+    public bool IsVisibleInLegend {
+      get { return isVisibleInLegend; }
+      set {
+        if (isVisibleInLegend != value) {
+          isVisibleInLegend = value;
+          OnPropertyChanged("IsVisibleInLegend");
+        }
+      }
+    }
     private string displayName;
     public string DisplayName {
@@ -218,4 +228,9 @@
       get { return scaleFactor; }
       set { scaleFactor = value; }
+    }
+    [Storable(Name = "IsVisibleInLegend", DefaultValue = true)]
+    private bool StorableIsVisibleInLegend {
+      get { return isVisibleInLegend; }
+      set { isVisibleInLegend = value; }
     }
     [Storable(Name = "DisplayName")]
@@ -241,4 +256,5 @@
       this.scaleFactor = original.scaleFactor;
       this.displayName = original.displayName;
+      this.isVisibleInLegend = original.isVisibleInLegend;
     }
     public DataRowVisualProperties() {
@@ -254,4 +270,5 @@
       scaleFactor = 1.0;
       displayName = String.Empty;
+      isVisibleInLegend = true;
     }
     public DataRowVisualProperties(string displayName)
Index: branches/HeuristicLab.TimeSeries/HeuristicLab.Analysis/3.3/DataVisualization/DataTable.cs
===================================================================
--- branches/HeuristicLab.TimeSeries/HeuristicLab.Analysis/3.3/DataVisualization/DataTable.cs	(revision 7098)
+++ branches/HeuristicLab.TimeSeries/HeuristicLab.Analysis/3.3/DataVisualization/DataTable.cs	(revision 7213)
@@ -38,5 +38,5 @@
   [StorableClass]
   public class DataTable : NamedItem, IStringConvertibleMatrix {
-    public override Image ItemImage {
+    public static new Image StaticItemImage {
       get { return HeuristicLab.Common.Resources.VSImageLibrary.Performance; }
     }
Index: branches/HeuristicLab.TimeSeries/HeuristicLab.Analysis/3.3/DataVisualization/DataTableHistory.cs
===================================================================
--- branches/HeuristicLab.TimeSeries/HeuristicLab.Analysis/3.3/DataVisualization/DataTableHistory.cs	(revision 7098)
+++ branches/HeuristicLab.TimeSeries/HeuristicLab.Analysis/3.3/DataVisualization/DataTableHistory.cs	(revision 7213)
@@ -33,5 +33,5 @@
   [StorableClass]
   public class DataTableHistory : ItemCollection<DataTable> {
-    public override Image ItemImage {
+    public static new Image StaticItemImage {
       get { return HeuristicLab.Common.Resources.VSImageLibrary.Cab; }
     }
Index: branches/HeuristicLab.TimeSeries/HeuristicLab.Analysis/3.3/DataVisualization/HeatMap.cs
===================================================================
--- branches/HeuristicLab.TimeSeries/HeuristicLab.Analysis/3.3/DataVisualization/HeatMap.cs	(revision 7098)
+++ branches/HeuristicLab.TimeSeries/HeuristicLab.Analysis/3.3/DataVisualization/HeatMap.cs	(revision 7213)
@@ -31,5 +31,5 @@
   [StorableClass]
   public class HeatMap : DoubleMatrix {
-    public override Image ItemImage {
+    public static new Image StaticItemImage {
       get { return HeuristicLab.Common.Resources.VSImageLibrary.Gradient; }
     }
Index: branches/HeuristicLab.TimeSeries/HeuristicLab.Analysis/3.3/DataVisualization/HeatMapHistory.cs
===================================================================
--- branches/HeuristicLab.TimeSeries/HeuristicLab.Analysis/3.3/DataVisualization/HeatMapHistory.cs	(revision 7098)
+++ branches/HeuristicLab.TimeSeries/HeuristicLab.Analysis/3.3/DataVisualization/HeatMapHistory.cs	(revision 7213)
@@ -33,5 +33,5 @@
   [StorableClass]
   public class HeatMapHistory : ItemCollection<HeatMap> {
-    public override Image ItemImage {
+    public static new Image StaticItemImage {
       get { return HeuristicLab.Common.Resources.VSImageLibrary.Cab; }
     }
Index: branches/HeuristicLab.TimeSeries/HeuristicLab.Analysis/3.3/MultiAnalyzer.cs
===================================================================
--- branches/HeuristicLab.TimeSeries/HeuristicLab.Analysis/3.3/MultiAnalyzer.cs	(revision 7098)
+++ branches/HeuristicLab.TimeSeries/HeuristicLab.Analysis/3.3/MultiAnalyzer.cs	(revision 7213)
@@ -38,4 +38,7 @@
     public override bool CanChangeName {
       get { return false; }
+    }
+    public virtual bool EnabledByDefault {
+      get { return true; }
     }
 
Index: branches/HeuristicLab.TimeSeries/HeuristicLab.Analysis/3.3/MultiObjective/ParetoFrontAnalyzer.cs
===================================================================
--- branches/HeuristicLab.TimeSeries/HeuristicLab.Analysis/3.3/MultiObjective/ParetoFrontAnalyzer.cs	(revision 7098)
+++ branches/HeuristicLab.TimeSeries/HeuristicLab.Analysis/3.3/MultiObjective/ParetoFrontAnalyzer.cs	(revision 7213)
@@ -11,4 +11,8 @@
   [StorableClass]
   public abstract class ParetoFrontAnalyzer : SingleSuccessorOperator, IAnalyzer {
+    public virtual bool EnabledByDefault {
+      get { return true; }
+    }
+
     public IScopeTreeLookupParameter<DoubleArray> QualitiesParameter {
       get { return (IScopeTreeLookupParameter<DoubleArray>)Parameters["Qualities"]; }
Index: branches/HeuristicLab.TimeSeries/HeuristicLab.Analysis/3.3/PopulationDiversityAnalysis/PopulationDiversityAnalyzer.cs
===================================================================
--- branches/HeuristicLab.TimeSeries/HeuristicLab.Analysis/3.3/PopulationDiversityAnalysis/PopulationDiversityAnalyzer.cs	(revision 7098)
+++ branches/HeuristicLab.TimeSeries/HeuristicLab.Analysis/3.3/PopulationDiversityAnalysis/PopulationDiversityAnalyzer.cs	(revision 7213)
@@ -37,4 +37,8 @@
   [StorableClass]
   public abstract class PopulationDiversityAnalyzer<T> : SingleSuccessorOperator, IAnalyzer where T : class, IItem {
+    public virtual bool EnabledByDefault {
+      get { return false; }
+    }
+
     public LookupParameter<BoolValue> MaximizationParameter {
       get { return (LookupParameter<BoolValue>)Parameters["Maximization"]; }
Index: branches/HeuristicLab.TimeSeries/HeuristicLab.Analysis/3.3/QualityAnalysis/BestAverageWorstQualityAnalyzer.cs
===================================================================
--- branches/HeuristicLab.TimeSeries/HeuristicLab.Analysis/3.3/QualityAnalysis/BestAverageWorstQualityAnalyzer.cs	(revision 7098)
+++ branches/HeuristicLab.TimeSeries/HeuristicLab.Analysis/3.3/QualityAnalysis/BestAverageWorstQualityAnalyzer.cs	(revision 7213)
@@ -74,4 +74,7 @@
 
     #region Properties
+    public bool EnabledByDefault {
+      get { return true; }
+    }
     private BestQualityMemorizer BestQualityMemorizer {
       get { return (BestQualityMemorizer)OperatorGraph.InitialOperator; }
Index: branches/HeuristicLab.TimeSeries/HeuristicLab.Analysis/3.3/QualityAnalysis/QualityAnalyzer.cs
===================================================================
--- branches/HeuristicLab.TimeSeries/HeuristicLab.Analysis/3.3/QualityAnalysis/QualityAnalyzer.cs	(revision 7098)
+++ branches/HeuristicLab.TimeSeries/HeuristicLab.Analysis/3.3/QualityAnalysis/QualityAnalyzer.cs	(revision 7213)
@@ -65,4 +65,7 @@
 
     #region Properties
+    public bool EnabledByDefault {
+      get { return true; }
+    }
     private BestQualityMemorizer BestQualityMemorizer {
       get { return (BestQualityMemorizer)OperatorGraph.InitialOperator; }
Index: branches/HeuristicLab.TimeSeries/HeuristicLab.Analysis/3.3/QualityAnalysis/QualityDistributionAnalyzer.cs
===================================================================
--- branches/HeuristicLab.TimeSeries/HeuristicLab.Analysis/3.3/QualityAnalysis/QualityDistributionAnalyzer.cs	(revision 7098)
+++ branches/HeuristicLab.TimeSeries/HeuristicLab.Analysis/3.3/QualityAnalysis/QualityDistributionAnalyzer.cs	(revision 7213)
@@ -54,4 +54,8 @@
     }
     #endregion
+
+    public virtual bool EnabledByDefault {
+      get { return true; }
+    }
 
     public string HistogramName {
Index: branches/HeuristicLab.TimeSeries/HeuristicLab.Analysis/3.3/QualityAnalysis/ScaledQualityDifferenceAnalyzer.cs
===================================================================
--- branches/HeuristicLab.TimeSeries/HeuristicLab.Analysis/3.3/QualityAnalysis/ScaledQualityDifferenceAnalyzer.cs	(revision 7098)
+++ branches/HeuristicLab.TimeSeries/HeuristicLab.Analysis/3.3/QualityAnalysis/ScaledQualityDifferenceAnalyzer.cs	(revision 7213)
@@ -34,4 +34,8 @@
   [StorableClass]
   public class ScaledQualityDifferenceAnalyzer : SingleSuccessorOperator, IAnalyzer {
+    public virtual bool EnabledByDefault {
+      get { return true; }
+    }
+
     public ILookupParameter<DoubleValue> QualityParameter {
       get { return (ILookupParameter<DoubleValue>)Parameters["Quality"]; }
Index: branches/HeuristicLab.TimeSeries/HeuristicLab.Analysis/3.3/ValueAnalysis/MinAverageMaxValueAnalyzer.cs
===================================================================
--- branches/HeuristicLab.TimeSeries/HeuristicLab.Analysis/3.3/ValueAnalysis/MinAverageMaxValueAnalyzer.cs	(revision 7098)
+++ branches/HeuristicLab.TimeSeries/HeuristicLab.Analysis/3.3/ValueAnalysis/MinAverageMaxValueAnalyzer.cs	(revision 7213)
@@ -68,4 +68,7 @@
 
     #region Properties
+    public bool EnabledByDefault {
+      get { return true; }
+    }
     private MinAverageMaxValueCalculator MinAverageMaxValueCalculator {
       get { return (MinAverageMaxValueCalculator)OperatorGraph.InitialOperator; }
@@ -81,4 +84,5 @@
     }
     #endregion
+
     [Storable]
     private ResultsCollector resultsCollector;
@@ -193,5 +197,5 @@
       else if (!CollectMaxValueInResults.Value && maxValueParameter != null)
         resultsCollector.CollectedValues.Remove(maxValueParameter);
-      }
+    }
 
     private void CollectMinValueInResultsParameter_ValueChanged(object sender, EventArgs e) {
Index: branches/HeuristicLab.TimeSeries/HeuristicLab.Analysis/3.3/ValueAnalysis/ValueAnalyzer.cs
===================================================================
--- branches/HeuristicLab.TimeSeries/HeuristicLab.Analysis/3.3/ValueAnalysis/ValueAnalyzer.cs	(revision 7098)
+++ branches/HeuristicLab.TimeSeries/HeuristicLab.Analysis/3.3/ValueAnalysis/ValueAnalyzer.cs	(revision 7213)
@@ -50,4 +50,7 @@
 
     #region Properties
+    public bool EnabledByDefault {
+      get { return true; }
+    }
     private DataTableValuesCollector DataTableValuesCollector {
       get { return (DataTableValuesCollector)OperatorGraph.InitialOperator; }
@@ -63,5 +66,5 @@
     private ValueAnalyzer(ValueAnalyzer original, Cloner cloner)
       : base(original, cloner) {
-        Initialize();
+      Initialize();
     }
     public override IDeepCloneable Clone(Cloner cloner) {